Welcome, Guest. Please login or register.

Author Topic: Error update Nedi 1.6 to 1.7C  (Read 1065 times)

marco.mereu

  • Newbie
  • *
  • Posts: 14
    • View Profile
Error update Nedi 1.6 to 1.7C
« on: October 18, 2018, 07:32:39 PM »

hello, I tried to update Nedi 1.6 to Nedi 1.7C, but when I load the file gives me error, it is right that the file is in pkg format ??


123ralle

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: Error update Nedi 1.6 to 1.7C
« Reply #1 on: October 18, 2018, 07:37:26 PM »
Hello,

i've the same problem. ???
Even renamin to .tgz does not resolce the problem.
Further no error messages in the apache error.log

regards,
Ralf

SchmuFoo

  • Jr. Member
  • **
  • Posts: 56
    • View Profile
Re: Error update Nedi 1.6 to 1.7C
« Reply #2 on: October 22, 2018, 12:05:43 PM »
Hi,

make sure that your php max_upload_filesize & post_max_size is high enough.

In addition to that the error message often occour, when an webserver doesn't has the permissions to modify folders/files on the filesystem.

I have the same "problems" and need to do an manual update.. soon


Cheers,
Jan

dohco

  • Newbie
  • *
  • Posts: 30
    • View Profile
Re: Error update Nedi 1.6 to 1.7C
« Reply #3 on: October 24, 2018, 02:03:22 PM »
Make sure you download the file with IE since Chrome converts the file on the fly when you download it.

/Conny

tristanbob

  • Full Member
  • ***
  • Posts: 150
    • View Profile
Re: Error update Nedi 1.6 to 1.7C
« Reply #4 on: November 15, 2018, 11:19:16 PM »
I have the same issue as the original post. 

Is there a confirmed solution to this problem?

Thanks!

Tristan
Please visit "Other"->"Invoices" on your NeDi installation to make an annual contribution and support Nedi!

marco.mereu

  • Newbie
  • *
  • Posts: 14
    • View Profile
Re: Error update Nedi 1.6 to 1.7C
« Reply #5 on: November 16, 2018, 05:24:10 PM »
I have not found the solution yet, for now I have installed a Nedio 1.7C machine, and I'm doing the tests there.
but I have noticed that there is little help on this forum.

rickli

  • Administrator
  • Hero Member
  • *****
  • Posts: 2632
    • View Profile
    • NeDi
Re: Error update Nedi 1.6 to 1.7C
« Reply #6 on: November 26, 2018, 02:48:48 PM »
It's rather slow indeed. I can't check that often as I'm really busy these days...

I've changed the extension from .tgz to .pkg with that Chrome doesn't decompress it automatically. If the file is around 4MB you're fine. As others pointed out before, make sure post_max and upload_file_size are well above those 4MB in php.ini. Also make sure the webserver can write all files in the nedi folder...
Please consider Other-Invoices on your NeDi installation for an annual contribution, tx!
-Remo

tristanbob

  • Full Member
  • ***
  • Posts: 150
    • View Profile
Re: Error update Nedi 1.6 to 1.7C
« Reply #7 on: November 26, 2018, 10:13:05 PM »
I found out that my "upload_max_filesize" PHP setting was only 2M.  Here is how to increase this setting:

1) Visit https://nedi.yourdomain.com/Other-Info.php

2) Search for the PHP config file that you are using.  For me it was:

     "Loaded Configuration File   /etc/php/5.6/apache2/php.ini"

3) Edit that file, and change the "upload_max_filesize" setting.  Mine was set to 2M, so I changed it to 20M.

sudo nano /etc/php/5.6/apache2/php.ini
     ; Maximum allowed size for uploaded files.
     ; http://php.net/upload-max-filesize
     upload_max_filesize = 20M

4) Restart Apache

     sudo service apache2 restart

5) Verify the upload-max-filesize is changed to the correct size.

     https://nedi.yourdomain.com/Other-Info.php

6) You are ready to upgrade Nedi!
Please visit "Other"->"Invoices" on your NeDi installation to make an annual contribution and support Nedi!

tristanbob

  • Full Member
  • ***
  • Posts: 150
    • View Profile
Re: Error update Nedi 1.6 to 1.7C
« Reply #8 on: November 26, 2018, 10:21:00 PM »
Well I fixed my "upload_max_filesize" problem, but I just ran into another problem.  This is the output after I click the "Execute" button:

Code: [Select]
Read nedi-1.7C.pkg

Backup msg.txt
Backup devtools.php
Backup iftools.php
Backup crontab
Backup nedi.conf
Backup seedlist
Backup agentlist

tar: trap.pl: Cannot open: File exists
tar: test.pl: Cannot open: File exists
tar: syslog.pl: Cannot open: File exists
tar: stati.pl: Cannot open: File exists
tar: seedlist: Cannot open: File exists
tar: nedi.pl: Cannot open: File exists
tar: nedi.conf: Cannot open: File exists
tar: moni.pl: Cannot open: File exists
tar: master.pl: Cannot open: File exists
tar: flowi.pl: Cannot open: File exists
tar: cusdi.pl: Cannot open: File exists
tar: agentlist: Cannot open: File exists
tar: Exiting with failure status due to previous errors
Errors Write nedi-1.7C.pkg

I have seen the suggestions to make sure the web-server can write to the nedi directory, so I changed all permissions (see below) but this did not fix the problem.

tristanrhodes@nedi:/var/nedi$ sudo chown -R www-data:www-data *

Any ideas on how to get past this step?

Thanks!
Please visit "Other"->"Invoices" on your NeDi installation to make an annual contribution and support Nedi!

rickli

  • Administrator
  • Hero Member
  • *****
  • Posts: 2632
    • View Profile
    • NeDi
Re: Error update Nedi 1.6 to 1.7C
« Reply #9 on: December 02, 2018, 11:47:56 AM »
The pkg file is around 4MB? The nedi folder itself belongs to www-data as well?
Please consider Other-Invoices on your NeDi installation for an annual contribution, tx!
-Remo

tristanbob

  • Full Member
  • ***
  • Posts: 150
    • View Profile
Re: Error update Nedi 1.6 to 1.7C
« Reply #10 on: December 03, 2018, 06:40:06 PM »
Good catch Remo!  I did need to change the ownership of the /var/nedi directory.  Here is what I did to fix this:

Code: [Select]
sudo chown -R www-data:www-data /var/nedi
And then I followed your instructions to update Nedi using the web-interface.  IT WORKED! 

Thanks for making such an awesome piece of software.  :)

Tristan
Please visit "Other"->"Invoices" on your NeDi installation to make an annual contribution and support Nedi!